Loading...
Searching...
No Matches
add_adapt< Problem, std::true_type >

## Detailed Description

template<class Problem>
class rheolef::details::add_adapt< Problem, std::true_type >

Definition at line 71 of file newton_add_missing.h.

Inheritance diagram for add_adapt< Problem, std::true_type >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_adapt (const add_adapt &f)
| add_adapt (const Problem &f)
add_adapt< Problem > & | operator= (add_adapt< Problem > &&f)

## Member Typedef Documentation

## float_type

template<class Problem >

typedef Problem::float_type float_type

Definition at line 73 of file newton_add_missing.h.

## value_type

template<class Problem >

typedef Problem::value_type value_type

Definition at line 74 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_adapt() [1/2]

template<class Problem >

add_adapt | ( | const add_adapt< Problem, std::true_type > & | f | ) |

Definition at line 75 of file newton_add_missing.h.

## add_adapt() [2/2]

template<class Problem >

add_adapt | ( | const Problem & | f | ) |

explicit

Definition at line 76 of file newton_add_missing.h.

## Member Function Documentation

## operator=()

template<class Problem >

add_adapt< Problem > & operator= | ( | add_adapt< Problem > && | f | ) |

Definition at line 77 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/newton_add_missing.h